Page MenuHomePhabricator

P4. Spike - Figure out causes of mention notification not being sent (missing pings)
Closed, ResolvedPublic2 Story Points

Description

A variety of "Notification wasn't sent" reports in the last few weeks. E.g. https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_133#Missed_pings

Bob K31416 says:

Someone recently used {{u}} with my user name and I didn't get any notification. diff

I can't see any potential or known problems in that diff, so filing as a new bug. (I even tried changing my signature to use the same code as Cwobeel, and it still worked in a test).


See also: T68078: Indicate mentions in edit preview and in "Your edit was saved" message

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.25wmf17Pass title along to signature parser
mediawiki/extensions/Echo : wmf/1.25wmf16Pass title along to signature parser
mediawiki/extensions/Echo : masterPass title along to signature parser
mediawiki/extensions/Echo : wmf/1.25wmf16Improve signature detection
mediawiki/extensions/Echo : masterImprove signature detection
mediawiki/extensions/Echo : wmf/1.25wmf15Improve signature detection

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

A valid signature consists of a mandatory link to the user page and an optional link to the talk page. All other signatures do not generate a notification.

When the signature contains unbalanced HTML tags no notification is generated.

Perhelion updated the task description. (Show Details)Jan 29 2015, 4:48 PM

A valid signature consists of a mandatory link to the user page and an optional link to the talk page. All other signatures do not generate a notification.

Those are the normal required conditions to trigger a notification, except of link to the talk page (which is not necessary).

When the signature contains unbalanced HTML tags no notification is generated.

What means "unbalanced HTML" exactly? It seems many user using "balanced HTML".
Anyway this bug seems to have a bit sporadically characteristics, because there are also fully normal edits and signatures.
Anyway there is task T75366: New comments are not generating mention notifications when signature is non-standard (which you linked, with priority High).

<span> without matching </span> is an unbalanced HTML tag.

Perhelion added a comment.EditedJan 29 2015, 5:46 PM

<span> without matching </span> is an unbalanced HTML tag.

This is not very plausible, because the signature preferences have an HTML tidy syntax check (You get: Invalid raw signature. Check HTML tags.). Except the user use a very old own signature syntax. Anyway I can't see a direct relation to this report here.

A valid signature consists of a mandatory link to the user page and an optional link to the talk page. All other signatures do not generate a notification.

This is not true (e.g. https://de.wikipedia.org/w/index.php?title=Benutzer_Diskussion%3ASchnark&diff=138274729&oldid=137934707 worked), but even if it were true: https://de.wikipedia.org/w/index.php?title=Wikipedia:Fragen_zur_Wikipedia&diff=138029126&oldid=138028556 failed though that signature is a standard signature.

When the signature contains unbalanced HTML tags no notification is generated.

This is not true, as I proved in https://de.wikipedia.org/w/index.php?title=Benutzer_Diskussion%3ASchnark&diff=138274875&oldid=138274729

DannyH renamed this task from [2] Spike - Figure out causes of mention notification not being sent (missing pings) to [2] P4. Spike - Figure out causes of mention notification not being sent (missing pings).Jan 30 2015, 6:37 PM
Elitre added a subscriber: Elitre.Jan 31 2015, 5:08 PM

I did not receive a notification for this mention.

DannyH renamed this task from [2] P4. Spike - Figure out causes of mention notification not being sent (missing pings) to P4. Spike - Figure out causes of mention notification not being sent (missing pings).Feb 3 2015, 6:52 PM
matthiasmullie added a comment.EditedFeb 4 2015, 10:08 AM

https://gerrit.wikimedia.org/r/#/c/187850/ refactors how signatures are extracted. Let's see if that helps.

gerritbot added a subscriber: gerritbot.

Change 187850 had a related patch set uploaded (by Matthias Mullie):
Improve signature detection

https://gerrit.wikimedia.org/r/187850

Patch-For-Review

Change 187850 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/187850

DannyH added a subscriber: DannyH.Feb 6 2015, 10:15 PM

Figured it out; we're planning to cherry-pick the fixes on Monday.

DannyH closed this task as Resolved.Feb 6 2015, 10:15 PM

Change 189548 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Patch-For-Review

Change 189548 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Change 189549 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189549

Patch-For-Review

Change 189549 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189549

Quiddity reopened this task as Open.Feb 12 2015, 5:09 PM

Fresh report of this edit not sending a notification: https://en.wikipedia.org/w/index.php?diff=646792804
(report)

Maybe it's getting confused by:

[[User talk:PatHadley#top|talk]]</code>

In T78424#1034841, @Mattflaschen wrote:

Maybe it's getting confused by:
[[User talk:PatHadley#top|talk]]</code>

Another report of this edit not triggering a ping, and he also has a #top in his signature: [[User talk:Kudpung#top|talk]]

The default (uncustomised) signature has #top in the talk page link.

The default (uncustomised) signature has #top in the talk page link.

Wha?? oh, since 2007 at enwiki https://en.wikipedia.org/w/index.php?title=MediaWiki%3ASignature&diff=176507985&oldid=176229132
and since April 2013 at mediawikiwiki and meta. Since 2008 at commons.
I checked another 10 large projects/languages, and all others used the default.

Change 191011 had a related patch set uploaded (by Matthias Mullie):
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191011

Patch-For-Review

The #top thingy was indeed the culprit.

We re-generate a signature for whoever we think we've found. However, that Mediawiki:signature is different on regular pages (which Echo code assumed) than it is on own user talk pages (where it adds #top) - causing us not to pick up the signature.

Above patch should fix that.

Sidenote: Please update any changes to the signature detection code, at https://www.mediawiki.org/wiki/Manual:Echo#Mentions. Thanks :)

Change 191011 merged by jenkins-bot:
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191011

Change 191113 had a related patch set uploaded (by EBernhardson):
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191113

Patch-For-Review

Change 191117 had a related patch set uploaded (by EBernhardson):
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191117

Patch-For-Review

Change 191117 merged by jenkins-bot:
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191117

Change 191113 merged by jenkins-bot:
Pass title along to signature parser

https://gerrit.wikimedia.org/r/191113

Patches have been cherry-picked forward, will go out to all wikis in four to five hours.

DannyH closed this task as Resolved.Feb 18 2015, 12:02 AM

@Quiddity: notes about signature detection have been updated as well

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 6 2015, 10:31 PM
SebastianHelm reopened this task as Open.Jan 15 2016, 6:30 PM
SebastianHelm added a subscriber: SebastianHelm.

Sadly, it seems this is still happening. It just happened twice at [[w:en:User_talk:Eteethan#Why_remove_tag.2C_instead_of_using_a_template.3F]].

Mattflaschen-WMF closed this task as Resolved.Jan 15 2016, 8:40 PM

Please link the diffs you're referring to.

If you mean https://en.wikipedia.org/w/index.php?title=User_talk:Eteethan&diff=699715723&oldid=699715390 , it's because it was unsigned.

And https://en.wikipedia.org/w/index.php?title=User_talk:Eteethan&diff=699717972&oldid=699717906 didn't work because it didn't add a signature (I believe they have to be in the same edit).

This spike was about figuring out causes, which is done. See T66778: Echo: Remove the signature-requirement for Mention notifications for discussion on possible solutions.

Thank you very much for your diligent look into this and the great explanation. That explains my observations.

Oh, yeah. That was completely my fault.

DannyH removed a subscriber: DannyH.Jan 15 2016, 10:33 PM